Skip to main content
GET
/
v1
/
caller-trust
/
enterprises
List enterprise registrations
curl --request GET \
  --url https://api.revdesk.com/v1/caller-trust/enterprises \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "telnyx_enterprise_id": "<string>",
      "legal_name": "<string>",
      "dba": "<string>",
      "role_type": "<string>",
      "status": "<string>",
      "rejection_reasons": [
        "<string>"
      ],
      "synced_at": "<string>",
      "loa_document_id": "<string>",
      "created_at": "<string>"
    }
  ],
  "meta": {
    "page_size": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

data
object[]
required
meta
object
required